#
# spec file for package python-gnocchiclient
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname gnocchiclient
Name:           python-gnocchiclient
Version:        3.3.1
Release:        1.90
Summary:        Python API and CLI for OpenStack Gnocchi
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/openstack/python-gnocchiclient
Source0:        https://pypi.io/packages/source/g/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-cliff >= 2.6.0
BuildRequires:  python-devel
BuildRequires:  python-futurist >= 0.11.0
BuildRequires:  python-keystoneauth1 >= 2.21.0
BuildRequires:  python-osc-lib >= 1.5.1
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-requests >= 2.14.2
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-cliff >= 2.6.0
Requires:       python-debtcollector >= 1.2.0
Requires:       python-futurist >= 0.11.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneauth1 >= 2.21.0
Requires:       python-monotonic >= 0.6
Requires:       python-osc-lib >= 1.5.1
Requires:       python-pbr >= 2.0.0
Requires:       python-six >= 1.9.0
Requires:       python-ujson >= 1.35
BuildArch:      noarch

%description
This is a client library for Gnocchi built on the Gnocchi API. It
provides a Python API (the gnocchiclient module) and a command-line tool.

%package doc
Summary:        Documentation for OpenStack Gnocchi API Client
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-openstack-doc-tools >= 1.4.0
BuildRequires:  python-oslosphinx >= 4.7.0

%description      doc
This is a client library for Gnocchi built on the Gnocchi API. It
provides a Python API (the gnocchiclient module) and a command-line tool
(gnocchi).

This package contains auto-generated documentation.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%py2_build

%install
%py2_install

# Some env variables required to successfully build our doc
export PATH=$PATH:%{buildroot}%{_bindir}
export PYTHONPATH=.
export LANG=en_US.utf8
%{__python2} setup.py build_sphinx
# Fix hidden-file-or-dir warnings
rm -rf doc/build/html/.doctrees doc/build/html/.buildinfo

%check
# FIXME: only run unittests for now. Functional tests need gnocchi
export OS_TEST_PATH=./gnocchiclient/tests/unit
PYTHONPATH=. %{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{_bindir}/gnocchi
%{python2_sitelib}/gnocchiclient
%{python2_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
